AetherDsl (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class AetherDsl

- org.codehaus.groovy.grails.resolve.maven.aether.config.AetherDsl

- Core of the DSL for configuring Aether dependency resolution

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AetherDependencyManager` | `aetherDependencyManager`
    `org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`
    `org.eclipse.aether.DefaultRepositorySystemSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AetherDsl (AetherDependencyManager dependencyManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cacheDir(java.io.File f)`
    `void` | `cacheDir(java.lang.String f)`
    `void` | `checksums(boolean enable)` Configures the checksum policy to either fail or ignore
    `void` | `checksums(java.lang.String checksumPolicy)` Uses an explicit checksum policy.
    `org.eclipse.aether.repository.Authentication` | `credentials(groovy.lang.Closure c)` Sets up authentication for a repository
    `void` | `dependencies(groovy.lang.Closure callable)` Defines the dependencies of the project
    `java.lang.Object` | `environments(groovy.lang.Closure callable)` Environment support
    `void` | `inherits(java.lang.String name, groovy.lang.Closure customizer = null)` Whether to inherit dependenices from the framework or not
    `void` | `legacyResolve(boolean b)`
    `void` | `log(java.lang.String level)` Configures the log level to use for Aether
    `void` | `management(groovy.lang.Closure callable)` Defines the managed dependencies of the project.
    `void` | `plugins(groovy.lang.Closure callable)` Defines the plugin dependencies of the project
    `void` | `pom(boolean b)`
    `void` | `repositories(groovy.lang.Closure callable)` The repositories to configure
    `void` | `useOrigin(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### AetherDependencyManager aetherDependencyManager

    - #### org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

    - #### @groovy.lang.Delegate org.eclipse.aether.DefaultRepositorySystemSession session

  - ### Constructor Detail

    - #### AetherDsl(AetherDependencyManager dependencyManager)

  - ### Method Detail

    - #### void cacheDir(java.io.File f)

    - #### void cacheDir(java.lang.String f)

    - #### void checksums(boolean enable)

      Configures the checksum policy to either fail or ignore

      Parameters:
        `enable` - If enabled fail if checksums are invalid

    - #### void checksums(java.lang.String checksumPolicy)

      Uses an explicit checksum policy.

      Parameters:
        `checksumPolicy` - The checksum policy
      See Also:
        org.eclipse.aether.repository.RepositoryPolicy

    - #### org.eclipse.aether.repository.Authentication credentials(groovy.lang.Closure c)

      Sets up authentication for a repository

      Parameters:
        `c` - The credentials
      Returns:
        The Authentication instance

    - #### void dependencies(@groovy.lang.DelegatesTo(DependenciesConfiguration) groovy.lang.Closure callable)

      Defines the dependencies of the project

      Parameters:
        `callable` - A closure that delegate to DependenciesConfiguration

    - #### java.lang.Object environments(groovy.lang.Closure callable)

      Environment support

      Parameters:
        `callable` - The callable
      Returns:
        The result of the environments block

    - #### void inherits(java.lang.String name, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer = null)

      Whether to inherit dependenices from the framework or not

      Parameters:
        `name` - The named dependencies to inherit
        `customizer` - The customizer to use if excluding dependencies from the framework

    - #### @java.lang.Deprecated void legacyResolve(boolean b)

    - #### void log(java.lang.String level)

      Configures the log level to use for Aether

      Parameters:
        `level` - The level, either "warn", "error", "info", "debug" or "verbose"

    - #### void management(@groovy.lang.DelegatesTo(DependencyManagementConfiguration) groovy.lang.Closure callable)

      Defines the managed dependencies of the project. See http://maven.apache.org/guides/introduction/introduction-to-dependency-mechanism.html#Dependency_Management

      Parameters:
        `callable` - A closure that delegate to DependenciesConfiguration

    - #### void plugins(@groovy.lang.DelegatesTo(PluginConfiguration) groovy.lang.Closure callable)

      Defines the plugin dependencies of the project

      Parameters:
        `callable` - A closure that delegate to PluginConfiguration

    - #### void pom(boolean b)

    - #### void repositories(@groovy.lang.DelegatesTo(RepositoriesConfiguration) groovy.lang.Closure callable)

      The repositories to configure

      Parameters:
        `callable` - A closure that defines the repositories

    - #### void useOrigin(boolean b)